i get "firmware error string"

Discussion in 'iPod touch Firmware 2.X' started by fatal510, Nov 24, 2008.

  1. fatal510

    fatal510 New Member

    Joined:
    Nov 24, 2008
    Messages:
    1
    Likes Received:
    0
    im trying to jailbreak my ipod touch witch has the latest fimeware and updates

    it didnt auto detect my firmware update like it said it might so i finally found it

    iPod2,1_2.2_5G77a_Restore.ipsw

    and i selected it but i just get the "firmware error string" problem
  2. joncitopr

    joncitopr New Member

    Joined:
    Nov 15, 2007
    Messages:
    7
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    Is the ipod 2g?
  3. lopezhansel

    lopezhansel New Member

    Joined:
    Nov 24, 2008
    Messages:
    1
    Likes Received:
    0
    yeah!!! i get that too!
    im using ipod touch 1st gen.
    firmware 2.1

    when i use quickpwn to jailbreak firmware 2.1, i tell me to open the firmware bundle 2.1, when i do, then it won't go to the next step.
    i used quickpwn 2-1 and 2-2 both don't work
    on quickpwn 2-1 when it tries to load the firmware nothing happens
    the spinning wheel just goes away.
    on quickpwn 2-2 i get this "firmware error string".

    what should i do? how do fix this? PLZ HELP ME
    contact me on lopezhansel@gmail.com
  4. jinzky

    jinzky New Member

    Joined:
    Nov 19, 2007
    Messages:
    4
    Likes Received:
    0
    same here!
  5. EmadEva

    EmadEva New Member

    Joined:
    Nov 21, 2008
    Messages:
    4
    Likes Received:
    0
    I am using a 64 bit version of Windows Vista with a 2nd generation iPOD Touch. I tried to use quickpwn 2-2-1 and I also get the "firmware error string" message after trying it with several 2nd generation versions of the firmware file.

    I did a restore using itunes with one of the iPod2,1_2.2_5G77a_Restore.ipsw files and there were no error messages and my iPOD runs ok. At least I know the firmware has the correct file name and the file is not corrupted.

    I hope someone has can give me the correct steps on using this file with quickpwn so it will not display the "firmware error string" message.

    Thanks.
    Emad
  6. chrystianbourassa

    chrystianbourassa New Member

    Joined:
    Nov 24, 2008
    Messages:
    4
    Likes Received:
    0
    Very simple answer

    HI all, i am a software engineer and i checked the jailbreaking in detail. here is the simple answer for your problem

    I'm getting good at jailbreaking and i discovered that you cannot jailbreak using a second generation upgrade file on a first generation.


    here is the reason for the string Error


    iPod2,1_2.2_5G77a_Restore.ipsw
    If you check the string over here, the first part identify the Ipod generation version.. in this case, as u can see, it is version Ipod 2.1 (second generation)




    -->>>> For your upgrade to 2.2 to be successfull , you must download the following firmware :

    iPod1,1_2.2_5G77a_Restore.ipsw

    -->>>> as you see the difference in th generation section.. here is first generation upgrade to 2.2



    BUTTTTTTTTTTTTTTTTTTTTTTT


    i would not recommencd at this point you upgrade to 2.2,, some programs will not work well, like [PIRACY]us won't work anymore.. all ur installed app will stop functionning aftre you jailbreak it to 2.2

    only cydia will work...


    if you have any questions, feel free to ask


    C. Bourassa
    Software Engineer
  7. can1234

    can1234 New Member

    Joined:
    Nov 24, 2008
    Messages:
    1
    Likes Received:
    0
    firmware error string message

    Hi,

    i get the firmware error string message too , i have a version of 2.2 ipod touch. I am using quickpwn2.2 but it gives me the same message,firmware error string. What should i do? help help needed fast, where can i get the proper file , if needed
  8. Jarlath

    Jarlath Retired Moderator

    Joined:
    Mar 21, 2008
    Messages:
    2,321
    Likes Received:
    0
    The iPod2,1 is for the iPod Touch 2G, which is not supported by the firmware bundles in QuickPwn as the iPod Touch 2G is not supported. Make sure you download the firmware update via iTunes, and that'll dump it into the right folder as well. As long as your iPod is running 2.x firmware, it'll get the right one.
  9. t-rav

    t-rav New Member

    Joined:
    Feb 8, 2008
    Messages:
    1
    Likes Received:
    0
    I have a 1G Ipod touch with a a version of 2.2 that was downloaded with itunes. I still get this message. This is the version I have iPod1,1_2.2_5G77_Restore
  10. Brendin

    Brendin New Member

    Joined:
    Nov 22, 2008
    Messages:
    41
    Likes Received:
    0
    me too!!!!! HELP i need my ipod tomorrow

Share This Page